> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/reporting-and-performances/reporting/sample-ratio-mismatch/srm-calculator.md).

# SRM calculator

## Still want to calculate it manually? <a href="#h_01jnger998pw91wnbg6zyf1bda" id="h_01jnger998pw91wnbg6zyf1bda"></a>

### SRM Calculator <a href="#h_01j8mxqyzwcrre44ne50s1hwn2" id="h_01j8mxqyzwcrre44ne50s1hwn2"></a>

In order to help A/B testers with their experiments, AB TASTY provides, in addition to its S-SRM service, an online service for SRM analysis. This service can help identify potential SRM issues so that they can be corrected before the experiment is restarted.

Please be aware that this SRM calculator does not account for peeking (also known as p-hacking—[learn more here](https://en.wikipedia.org/wiki/Data_dredging)). Peeking can lead to false positives and may produce results that differ from those of S-SRM.\
Additionally, the underlying calculation models differ: the SRM calculator is based on bayesian approach while S-SRM alerts rely on Sequential Testing algorithms.

<a href="https://support.abtasty.com/hc/en-us/p/srm" class="button secondary">Open SRM Calculator</a>

Overall, SRM can significantly affect the results of an A/B test experiment, and it's important to take steps to identify potential SRM issues and take corrective action before starting or restarting the experiment.

### How does it work? <a href="#h_01j8mxzx0e96d65vqgcgfj0w4z" id="h_01j8mxzx0e96d65vqgcgfj0w4z"></a>

* Input : Type the allocation ratios expected (numbers that sum to 1) and the observed allocation (the one that happened, with integers). If your test has more than two variations, hit the “+” button to create additional variation slots.
* Output : After hitting ‘enter’, you will be told whether there is a SRM or not. In case of SRM, a confidence interval of the deviation will be shown as a relative gain. A vertical dotted line shows where the normal value should be (corresponding to 0 deviation).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/reporting-and-performances/reporting/sample-ratio-mismatch/srm-calculator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
